Create Reservation Run in API Explorer
Ask AI
API supported for Property Reservation
Body
Required
-
momorooms ID of the property against which reservation is triggered.
-
Reservation Id for as returned in the Quote response associated with the Reservation.
-
Reservation ID from the Partner Side for reference.
-
Date of check-in in the format (yyyy-mm-dd)
-
Date of checkout (not included in stay) in the format (yyyy-mm-dd)
-
ISO country codes for the market
Country Name Country code Austria AT Belgium BE Bulgaria BG Chile CL Croatia HR Cyprus CY Czechia CZ Denmark DK Estonia EE Finland FI France FR Germany DE Hungary HU Iceland IS India IN Ireland IE Italy IT Latvia LV Lithuania LT Luxembourg LU Malta MT Mexico MX Netherlands NL Norway NO Poland PL Portugal PT Romania RO Slovakia SK Slovenia SI Spain ES Sweden SE Switzerland CH United Kingdom GB United States of America US Argentina AR Greece GR -
Parameter denoting for which kind of rate is the request triggered as in below table
Scenario Rate Type Regular Rate BAR -
Parameter denoting for which kind of product is the request triggered as in below table
Scenario Search Path Request includes only hotel accommodations Hotel Request includes only packages bundled with hotel stays Package -
Collection for holding the guest details for each room requested. Collection to be repeated for each room.
At least
1but not more than9elements.
POST
/v1/reservation
curl \
--request POST 'https://partner.momorooms.com/v1/reservation' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"propertyId":42,"reservationId":42,"partnerReservationId":42,"checkIn":"2026-05-04","checkOut":"2026-05-04","market":"string","rateType":"string","productType":"string","roomStays":[{"id":42,"productId":42,"adultCount":42,"childAges":[42],"guestDetails":[{"firstName":"string","lastName":"string","primary":true,"guestType":"string","contact":{"email":"string","phone":"string"}}]}]}'
Request examples
{
"propertyId": 42,
"reservationId": 42,
"partnerReservationId": 42,
"checkIn": "2026-05-04",
"checkOut": "2026-05-04",
"market": "string",
"rateType": "string",
"productType": "string",
"roomStays": [
{
"id": 42,
"productId": 42,
"adultCount": 42,
"childAges": [
42
],
"guestDetails": [
{
"firstName": "string",
"lastName": "string",
"primary": true,
"guestType": "string",
"contact": {
"email": "string",
"phone": "string"
}
}
]
}
]
}
Response examples (200)
{
"reservationId": 42,
"reservationStatus": "string"
}
Response examples (400)
{
"errors": [
{
"errorCode": 42,
"errorDescription": "string"
}
]
}
Response examples (500)
{
"errors": [
{
"errorCode": 42,
"errorDescription": "string"
}
]
}